export declare type LinkEvents = {
    click: (event: HTMLAnchorElement) => void;
};
declare type LinkMatch = {
    href: string;
    match: string;
    text: string;
    title?: string;
};
export default class LinkHelper {
    private readonly regex;
    extractLinks(text: string): LinkMatch[];
    addLinkedText(parentElement: HTMLElement, text: string, links: LinkMatch[]): HTMLElement;
}
export {};
